Catalogue API
Delete a catalogue price
Delete a contextual price from a catalogue item.
DELETE
/v1/catalogue/items/{itemId}/prices/{priceId}Request
Path, query, and JSON body fields accepted by this operation.
itemIdstring<uuid>requiredpathpriceIdstring<uuid>requiredpath
Response
Successful responses use Dawn's data envelope.
dataCataloguePricerequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredcatalogueItemIdstring<uuid>requiredtype"base" | "override" | "sale"requiredcurrencyCodestringrequiredmin length 3max length 3amountintegerrequiredmin 0max 100000000000minQuantityintegerrequiredmin 1max 10000maxQuantityinteger | nullrequiredmin 1max 10000rulesobject[]requiredmax items 20attributestringrequiredmin length 1max length 120operator"eq" | "neq" | "in" | "not_in" | "gt" | "gte" | "lt" | "lte"requiredvaluestring | number | boolean | string | number | boolean[]required
priorityintegerrequiredmin -1000max 1000startsAtstring<date-time> | nullrequiredendsAtstring<date-time> | nullrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The catalogue price could not be found.422The catalogue price ID is invalid.503The catalogue price could not be deleted.
Last updated on